From 9986ab27f9f5a9185a09c45ea99015ff0e6176be Mon Sep 17 00:00:00 2001
From: Laszlo Ersek <lersek@redhat.com>
Date: Thu, 12 Jun 2014 02:44:56 +0200
Subject: OvmfPkg: PlatformBdsLib: pick up any display device, not only vga
 (RH)

This allows OVMF to use the legacy-free / secondary VGA adapter (added in
upstream qemu commit 63e3e24d) as console.
---
 OvmfPkg/Library/PlatformBdsLib/BdsPlatform.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/OvmfPkg/Library/PlatformBdsLib/BdsPlatform.c b/OvmfPkg/Library/PlatformBdsLib/BdsPlatform.c
index 1e87820..55f27cc 100644
--- a/OvmfPkg/Library/PlatformBdsLib/BdsPlatform.c
+++ b/OvmfPkg/Library/PlatformBdsLib/BdsPlatform.c
@@ -607,7 +607,7 @@ DetectAndPreparePlatformPciDevicePath (
   //
   // Here we decide which VGA device to enable in PCI bus
   //
-  if (IS_PCI_VGA (Pci)) {
+  if (IS_PCI_DISPLAY (Pci)) {
     //
     // Add them to ConOut.
     //
-- 
1.8.3.1

